## gdal 1.2.0

=== ogr/Makefile ===

LINKFLAGS =	/Zi /MTd
EXTRAFLAGS =	-I$(MSDASDK)\inc \
		-I"$(VCDIR)\ATL\Include" -DWIN32 \
		-I. -Iogrsf_frmts -I..\frmts\gtiff\libgeotiff \
		$(PROJ_FLAGS) $(PROJ_INCLUDE)

GDAL_ROOT = 	..

!INCLUDE ..\nmake.opt

OLE_LIBS =	oledb.lib ole32.lib oleaut32.lib 

ALL_LIBS =	$(OLE_LIBS) $(GDAL_ROOT)/port/cpl.lib $(EXTERNAL_LIBS) $(LIBS)

OGR_FRMTS =	ogrsf_frmts\ogrsf_frmts.lib ogrsf_frmts\ogrsf_frmts_sup.lib
OBJ_OGR	=	ogrgeometryfactory.obj ogrpoint.obj ogrcurve.obj ogr_api.obj \
		ogrlinestring.obj ogrpolygon.obj ogrlinearring.obj \
		ogrutils.obj ogrgeometry.obj ogrgeometrycollection.obj \
		ogrmultipolygon.obj ogrmultilinestring.obj ogr_opt.obj \
                ogrmultipoint.obj ogrfeature.obj ogrfeaturedefn.obj \
		ogrfielddefn.obj ogr_srsnode.obj ogrspatialreference.obj \
		ogr_srs_proj4.obj ogr_fromepsg.obj ogrct.obj swq.obj \
		ogrfeaturestyle.obj ogr_srs_esri.obj ogrfeaturequery.obj \
		ogr_srs_validate.obj ogr_srs_xml.obj ograssemblepolygon.obj \
		ogr2gmlgeometry.obj gml2ogrgeometry.obj ogr_srs_pci.obj \
		ogr_srs_usgs.obj ogr_srs_dict.obj

OBJ_OLEDB =	oledb_sup.obj \
		sfcenumerator.obj sfcdatasource.obj sfctable.obj

!IFDEF DLLBUILD
LINKARGS =	..\gdal_i.lib $(LIBS)
DEPLIBS	=	..\gdal_i.lib
!ELSE
LINKARGS =	$(OBJ_OGR) $(OGR_FRMTS) $(ALL_LIBS)
DEPLIBS	=	$(OGR_FRMTS)
!ENDIF

default:        ogr.lib ogrinfo.exe test_ogrsf.exe ogr2ogr.exe

ogrsf_frmts\ogrsf_frmts.lib:

sublibs:	frmts

frmts:
	cd ogrsf_frmts
	$(MAKE) 
	cd ..

oledb:	ogroledb.lib 
	cd sfcom_oledb
	$(MAKE)
	cd ..

all:	frmts default oledb sfcdump.exe

geometryidl.h: geometryidl.idl spatialreferenceidl.h
	midl geometryidl.idl

spatialreferenceidl.h: spatialreferenceidl.idl
	midl spatialreferenceidl.idl

ogr.lib:	$(OBJ_OGR)
	lib /out:ogr.lib $(OBJ_OGR)

ogroledb.lib:	$(OBJ_OLEDB)
	lib /out:ogroledb.lib $(OBJ_OLEDB)

sfcdump.exe:	geometryidl.h sfcdump.obj ogr.lib ogroledb.lib
	cl $(LINKFLAGS) sfcdump.obj ogroledb.lib $(LINKARGS) \
		/link $(LINKER_FLAGS)

test1.exe:	test1.obj $(OBJ_OGR) $(DEPLIBS)
	cl $(LINKFLAGS) test1.obj $(OBJ_OGR) $(ALL_LIBS) \
		 /link $(LINKER_FLAGS)

test2.exe:	test2.obj $(OBJ_OGR) $(DEPLIBS)
	cl $(LINKFLAGS) test2.obj $(OBJ_OGR) $(OGR_FRMTS) \
			$(ALL_LIBS) /link $(LINKER_FLAGS)

test3.exe:      test3.obj $(OBJ_OGR) $(DEPLIBS)
        cl $(LINKFLAGS) test3.obj $(OBJ_OGR) $(OGR_FRMTS) \
			$(ALL_LIBS) /link $(LINKER_FLAGS)

test_ogrsf.exe:      test_ogrsf.obj $(OBJ_OGR) $(DEPLIBS)
        cl $(LINKFLAGS) test_ogrsf.obj $(OBJ_OGR) $(OGR_FRMTS) \
			$(ALL_LIBS) /link $(LINKER_FLAGS)

test_rep.exe:      test_rep.obj $(OBJ_OGR) $(DEPLIBS)
        cl $(LINKFLAGS) test_rep.obj $(OBJ_OGR) $(OGR_FRMTS) \
			$(ALL_LIBS) /link $(LINKER_FLAGS)

testepsg.exe:      testepsg.obj $(OBJ_OGR) $(DEPLIBS)
        cl $(LINKFLAGS) testepsg.obj $(LINKARGS) /link $(LINKER_FLAGS)

ogrinfo.exe:      ogrinfo.obj $(OBJ_OGR) $(DEPLIBS)
        cl $(LINKFLAGS) ogrinfo.obj $(LINKARGS) /link $(LINKER_FLAGS)

ogr2ogr.exe:      ogr2ogr.obj $(OBJ_OGR) $(DEPLIBS)
        cl $(LINKFLAGS) ogr2ogr.obj $(LINKARGS) /link $(LINKER_FLAGS)

ogrtindex.exe:      ogrtindex.obj $(OBJ_OGR) $(DEPLIBS)
        cl $(LINKFLAGS) ogrtindex.obj $(SETARGV) $(LINKARGS) /link $(LINKER_FLAGS)

sdts2mi.exe:      sdts2mi.obj $(OBJ_OGR) $(DEPLIBS)
        cl $(LINKFLAGS) sdts2mi.obj $(OBJ_OGR) $(OGR_FRMTS) \
			$(ALL_LIBS) /link $(LINKER_FLAGS)

install:	default
	copy ogrinfo.exe $(BINDIR)
	copy ogr2ogr.exe $(BINDIR)

clean:
	-del *.obj
        -del *.exe
	-del *.lib
	-del *.pdb
	-del *.ilk

allclean:	clean
	cd ogrsf_frmts
	$(MAKE) clean
	cd ..\sfcom_oledb
	$(MAKE) clean
	cd ..

=== ogr/ogrsf_frmts/Makefile ===
GDAL_ROOT	=	..\..

DIRLIST		=	generic shape ntf sdts tiger s57 dgn mitab gml avc \
			rec mem vrt $(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) \
			$(ODBCDIR)

!INCLUDE $(GDAL_ROOT)\nmake.opt

!IFDEF OGDIDIR
OGDIDIR	=	ogdi
OGDIOBJ =	ogdi\*.obj
!ENDIF

!IFDEF ODBC_SUPPORTED
ODBCDIR	=	odbc
ODBCOBJ =	odbc\*.obj
!ENDIF

!IFDEF OCI_LIB
OCIDIR	=	oci
OCIOBJ =	oci\*.obj
!ENDIF

!IFDEF FME_DIR
FMEDIR = fme
FMEOBJ = fme\*.obj
!ENDIF

!IFDEF PG_INC_DIR
PG_DIR = pg
PG_OBJ = pg\*.obj
!ENDIF

default:
	for %d in ( $(DIRLIST) ) do \
		cd %d \
		&& nmake /NOLOGO /f makefile.vc \
		&& cd ..

	lib /out:ogrsf_frmts.lib generic\*.obj shape\*.obj ntf\*.obj \
				 sdts\*.obj s57\*.obj tiger\*.obj gml\*.obj \
				 mitab\*.obj dgn\*.obj avc\*.obj mem\*.obj \
				 vrt\*.obj \
				$(OGDIOBJ) $(ODBCOBJ) \
				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) rec\*.obj
	lib /out:ogrsf_frmts_sup.lib \
				 ..\..\frmts\iso8211\*.obj \
				 ..\..\frmts\sdts\sdtsattrreader.obj \
				 ..\..\frmts\sdts\sdtscatd.obj \
				 ..\..\frmts\sdts\sdtsiref.obj \
				 ..\..\frmts\sdts\sdtslib.obj \
				 ..\..\frmts\sdts\sdtslinereader.obj \
				 ..\..\frmts\sdts\sdtspointreader.obj \
				 ..\..\frmts\sdts\sdtspolygonreader.obj \
				 ..\..\frmts\sdts\sdtsrasterreader.obj \
				 ..\..\frmts\sdts\sdtstransfer.obj \
				 ..\..\frmts\sdts\sdtsindexedreader.obj \
				 ..\..\frmts\sdts\sdtsxref.obj

clean:
	-del ogrsf_frmts.lib
	-del ogrsf_frmts_sup.lib
	for %d in ( $(DIRLIST) ) do \
		cd %d \
		&& nmake /NOLOGO /f makefile.vc clean \
		&& cd ..

## gdal 1.2.5

=== ogr/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 DEPLIBS	=	$(OGR_FRMTS)
 !ENDIF
 
-default:        ogr.lib ogrinfo.exe test_ogrsf.exe ogr2ogr.exe
+default:        ogr.lib ogrinfo.exe test_ogrsf.exe ogr2ogr.exe ogrtindex.exe
 
 ogrsf_frmts\ogrsf_frmts.lib:
 
@@ -110,6 +110,7 @@
 install:	default
 	copy ogrinfo.exe $(BINDIR)
 	copy ogr2ogr.exe $(BINDIR)
+	copy ogrtindex.exe $(BINDIR)
 
 clean:
 	-del *.obj

## gdal 1.2.6

=== ogr/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 EXTRAFLAGS =	-I$(MSDASDK)\inc \
 		-I"$(VCDIR)\ATL\Include" -DWIN32 \
 		-I. -Iogrsf_frmts -I..\frmts\gtiff\libgeotiff \
-		$(PROJ_FLAGS) $(PROJ_INCLUDE)
+		$(PROJ_FLAGS) $(PROJ_INCLUDE) $(GEOS_CFLAGS)
 
 GDAL_ROOT = 	..

=== ogr/ccclient/Makefile ===

GDAL_ROOT = ..\..

!INCLUDE $(GDAL_ROOT)\nmake.opt

EXTRAFLAGS =	-GX -I$(VCDIR)\ATL\Include 

OBJ	=	com_util.obj
OLE_LIBS =	oledb.lib ole32.lib oleaut32.lib 
ALL_LIBS =	$(OLE_LIBS) $(LIBS)


default:        cinfo.exe

spatialreferenceidl.h: spatialreferenceidl.idl
	midl spatialreferenceidl.idl

cinfo.exe:	CoverageIdl.tlb cinfo.obj $(OBJ)
	cl /Zi cinfo.obj $(OBJ) $(ALL_LIBS)

CoverageIdl.tlb:
	midl -I.. /tlb CoverageIdl.tlb /D MAKE_TLB ..\CoverageIdl.idl
	del CoverageIdl.h CoverageIdl_i.c CoverageIdl_p.c dlldata.c

clean:
	del *.obj
        del *.exe
	del CoverageIdl.tlh
	del CoverageIdl.tli
	del *.ilk
	del *.pdb
	del CoverageIdl.tlb

=== ogr/ccdriver/Makefile ===

GDAL_ROOT = 	..\..

EXTRAFLAGS =	-GX -I$(VCDIR)\ATL\Include /W2 -I..

!INCLUDE $(GDAL_ROOT)/nmake.opt

OLE_LIBS =	ole32.lib oleaut32.lib 
GDAL_LIB =	$(GDAL_ROOT)/gdal.lib
LOC_OBJ =       Cover.obj COGRRealGC.obj ComUtility.obj Geometry.obj \
		GridGeometryImpl.obj AffineGeoReferenceImpl.obj \
		GridCoverageFactoryImpl.obj com_util.obj


default:	Cover.dll

Cover.res:	Cover.rc Cover.h
	rc.exe /l 0x1009 /foCover.res /d _DEBUG Cover.rc

Cover.dll:	Cover.h CoverageIdl.h $(LOC_OBJ) Cover.res
	link /debug /dll /def:Cover.def /out:Cover.dll \
		$(LOC_OBJ) $(GDAL_LIB) $(OLE_LIBS) Cover.res

clean:
	del *.obj Cover.dll Cover.h Cover_i.c Cover.tlb Cover.res
	del CoverageIdl.h *.pdb *.ilk *.exp CoverageIdl_i.c
	del CoverageIdl_p.c dlldata.c

Cover.h:      Cover.idl
	midl /tlb Cover.tlb /h Cover.h /IF:/opengis/coverage \
		/Oicf /iid Cover_i.c Cover.idl

CoverageIdl.h:	..\CoverageIdl.idl
	midl /h CoverageIdl.h /I.. ..\CoverageIdl.idl

=== ogr/ogrsf_frmts/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 GDAL_ROOT	=	..\..
 
 DIRLIST		=	generic shape ntf sdts tiger s57 dgn mitab gml avc \
-			rec mem vrt $(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) \
-			$(ODBCDIR)
+			rec mem vrt csv \
+			$(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) \
+			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR)
 
 !INCLUDE $(GDAL_ROOT)\nmake.opt
 
@@ -31,6 +32,16 @@
 PG_OBJ = pg\*.obj
 !ENDIF
 
+!IFDEF MYSQL_INC_DIR
+MYSQL_DIR = mysql
+MYSQL_OBJ = mysql\*.obj
+!ENDIF
+
+!IFDEF SQLITE_LIB
+SQLITE_DIR = sqlite
+SQLITE_OBJ = sqlite\*.obj
+!ENDIF
+
 default:
 	for %d in ( $(DIRLIST) ) do \
 		cd %d \
@@ -40,9 +51,9 @@
 	lib /out:ogrsf_frmts.lib generic\*.obj shape\*.obj ntf\*.obj \
 				 sdts\*.obj s57\*.obj tiger\*.obj gml\*.obj \
 				 mitab\*.obj dgn\*.obj avc\*.obj mem\*.obj \
-				 vrt\*.obj \
-				$(OGDIOBJ) $(ODBCOBJ) \
-				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) rec\*.obj
+				 vrt\*.obj csv\*.obj rec\*.obj \
+				$(OGDIOBJ) $(ODBCOBJ) $(SQLITE_OBJ) \
+				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) $(MYSQL_OBJ)
 	lib /out:ogrsf_frmts_sup.lib \
 				 ..\..\frmts\iso8211\*.obj \
 				 ..\..\frmts\sdts\sdtsattrreader.obj \
@@ -64,3 +75,8 @@
 		cd %d \
 		&& nmake /NOLOGO /f makefile.vc clean \
 		&& cd ..
+
+html-install:
+	copy *.html $(HTMLDIR)
+	-for %d in ( $(DIRLIST) ) do \
+		copy %d\drv_*.html $(HTMLDIR)

=== ogr/sfcom_oledb/Makefile ===

EXTRAFLAGS =	-I$(VCDIR)\ATL\Include \
		-I$(MSDASDK)\include\oledb -I.. /W2 \
		-I..\ogrsf_frmts 

GDAL_ROOT = 	..\..

!INCLUDE $(GDAL_ROOT)/nmake.opt
all:
	cd softmap
	$(MAKE) 
	cd ..

clean:
	cd softmap
	$(MAKE) clean
	cd ..

=== ogr/sfcom_serv/Makefile ===

MSDASDK =	F:\MSDASDK

EXTRAFLAGS =	-I$(MSDASDK)\include\oledb -I.. /W2

GDAL_ROOT = 	..\..

!INCLUDE $(GDAL_ROOT)/nmake.opt


OLE_LIBS =	$(MSDASDK)\lib\oledb\oledb.lib ole32.lib oleaut32.lib 

LOC_OBJ	=	ogrcomgeometryfactory.obj ogrcomutils.obj ogrcomwks.obj \
		ogrcomclassfactory.obj ogrcomgeom_server.obj \
		ogrcompoint.obj ogrcomlinestring.obj ogrcompolygon.obj

SHR_OBJ	=	..\ogrgeometryfactory.obj ..\ogrpoint.obj ..\ogrcurve.obj \
		..\ogrlinestring.obj ..\ogrpolygon.obj ..\ogrlinearring.obj \
		..\oledb_sup.obj ..\ogrgeometry.obj ..\ogrutils.obj \
		..\ogrgeometrycollection.obj ..\ogrmultipolygon.obj \
		..\ogrmultipoint.obj ..\ogrmultilinestring.obj

default:	ogrcomgeometry.dll $(LOC_OBJ) testclient.exe ogrcomgeometry.tlb

ogrcomgeometry.dll:	$(LOC_OBJ) ogrcomgeometry.tlb
	link /debug /dll /def:ogrcomgeometry.def /out:ogrcomgeometry.dll \
		$(LOC_OBJ) $(SHR_OBJ) $(GDAL_ROOT)/port/*.obj $(OLE_LIBS)

.cpp.obj:	
	$(CC) /c $(CFLAGS) $*.cpp

testclient.exe:	testclient.obj 
	cl /Zi testclient.obj $(SHR_OBJ) $(GDAL_ROOT)/port/*.obj $(OLE_LIBS)

clean:
	rm -f *.obj *.exe *.dll

ogrcomgeometry.tlb:	ogrcomgeometry.idl
	midl /I.. ogrcomgeometry.idl

=== ogr/ogrsf_frmts/ntf/Makefile ===

OBJ	=	ntf_estlayers.obj ntffilereader.obj ntfrecord.obj \
		ogrntfdatasource.obj ogrntfdriver.obj ogrntflayer.obj \
		ogrntffeatureclasslayer.obj ntf_generic.obj ntf_raster.obj \
		ntf_codelist.obj

EXTRAFLAGS =	-I.. -I..\..

GDAL_ROOT	=	..\..\..

!INCLUDE $(GDAL_ROOT)\nmake.opt

default:	$(OBJ)

clean:
	-del *.obj *.pdb

=== ogr/ogrsf_frmts/s57/Makefile ===

OBJ	=	ogrs57driver.obj ogrs57datasource.obj ogrs57layer.obj \
		s57classregistrar.obj s57reader.obj ddfrecordindex.obj \
		assemblepolygon.obj

EXTRAFLAGS =	-I.. -I..\.. -I$(GDAL_ROOT)/frmts/iso8211

GDAL_ROOT	=	..\..\..

!INCLUDE $(GDAL_ROOT)\nmake.opt

default:	$(OBJ)

clean:
	-del *.obj *.pdb

=== ogr/ogrsf_frmts/sdts/Makefile ===

OBJ	=	ogrsdtsdatasource.obj \
		ogrsdtsdriver.obj \
		ogrsdtslayer.obj 

EXTRAFLAGS =	-I.. -I..\.. -I$(GDAL_ROOT)/frmts/sdts \
		-I$(GDAL_ROOT)/frmts/iso8211

GDAL_ROOT	=	..\..\..

!INCLUDE $(GDAL_ROOT)\nmake.opt

default:	$(OBJ)

clean:
	-del *.obj *.pdb

=== ogr/ogrsf_frmts/shape/Makefile ===

OBJ     =       shape2ogr.obj shpopen.obj dbfopen.obj ogrshapedriver.obj \
		ogrshapedatasource.obj ogrshapelayer.obj 
EXTRAFLAGS =	-I.. -I..\..

GDAL_ROOT	=	..\..\..

!INCLUDE $(GDAL_ROOT)\nmake.opt

default:	$(OBJ)

clean:
	-del *.obj *.pdb

=== ogr/ogrsf_frmts/tiger/Makefile ===

OBJ	=	ogrtigerdriver.obj ogrtigerdatasource.obj ogrtigerlayer.obj \
		tigercompletechain.obj tigerfilebase.obj \
		tigeraltname.obj tigerfeatureids.obj tigerzipcodes.obj \
		tigerlandmarks.obj tigerarealandmarks.obj tigerkeyfeatures.obj\
		tigerpolychainlink.obj tigerpolygon.obj tigerpip.obj \
		tigerentitynames.obj tigeridhistory.obj tigertlidrange.obj \
		tigerzipplus4.obj

EXTRAFLAGS =	-I.. -I..\..

GDAL_ROOT	=	..\..\..

!INCLUDE $(GDAL_ROOT)\nmake.opt

default:	$(OBJ)

clean:
	-del *.obj *.pdb

=== ogr/sfcom_oledb/ogrprov/Makefile ===

GDAL_ROOT = 	..\..\..
OGR       =	..\..
SFOLEDB   =     ..

PROJ	=	smsf
DLLNAME	=	OGRProv.dll

# To switch between VStudio .NET, and VC++ 6 just switch which of the
# \ATL_{vc6,net} lines is uncommented.

EXTRAFLAGS =	-I$(SFOLEDB) \
		-I$(SFOLEDB)\atl_net -DSUPPORT_ATL_NET \
#		-I$(SFOLEDB)\atl_vc6 \
		-I$(MSDASDK)\include\oledb -I$(OGR) /W2 \
		-I$(OGR)\ogrsf_frmts -I$(VCDIR)\ATL\Include \
		-DCACHE_OGRDATASOURCE \
		-DSUPPORT_ADSK_GEOM_EXTENT \
#		-DSUPPORT_2D_FLATTEN

!INCLUDE $(GDAL_ROOT)/nmake.opt

OLE_LIBS =	ole32.lib oleaut32.lib 

!IFDEF DLLBUILD
OGR_LIBS =	..\..\..\gdal_i.lib $(LIBS)
!ELSE
OGR_LIBS =	$(OGR)\ogrsf_frmts\ogrsf_frmts.lib \
		$(OGR)\ogrsf_frmts\ogrsf_frmts_sup.lib \
		$(OGR)\ogroledb.lib $(OGR)\ogr.lib \
		$(GDAL_ROOT)\port\cpl.lib  $(OGDILIB) $(XERCES_LIB)
!ENDIF

LOC_OBJ =       SF.obj SFRS.obj sfutil.obj sftraceback.obj sfregister.obj \
		ogrvirtualarray.obj swq.obj sfdscache.obj SFDS.obj SFSess.obj

default:	$(DLLNAME)

all:	$(DLLNAME) install

SF.obj SFRS.obj: SF.h $(SFOLEDB)/SFDS.h $(SFOLEDB)/SFRS.h \
		$(SFOLEDB)/SFSess.h 

$(PROJ).res:	$(PROJ).rc SF.h $(SFOLEDB)/sf_common.rc
	rc.exe /l 0x1009 /fo$(PROJ).res /I$(SFOLEDB) /d _DEBUG $(PROJ).rc

$(DLLNAME):	SF.h $(LOC_OBJ) $(PROJ).res
	link /dll /debug /def:$(SFOLEDB)/SF.def /out:$(DLLNAME) \
		$(LOC_OBJ) $(OGR_LIBS) $(OLE_LIBS) $(PROJ).res \
		$(LINKER_FLAGS)

clean:
	-del *.obj *.exe *.dll $(PROJ).res $(DLLNAME)
	-del *.lib *.ilk *.exp *.pdb SF.h SF.tlb SF_i.c
	-del sf.cpp sfutil.cpp sftraceback.cpp SFRS.cpp ogrvirtualarray.cpp

install:      $(DLLNAME)
	regsvr32 $(DLLNAME)

SF.h:      $(PROJ).idl
	midl /tlb SF.tlb /h SF.h /Oicf /iid SF_i.c $(PROJ).idl

sf.cpp:	$(SFOLEDB)\sf.cpp
	copy $(SFOLEDB)\sf.cpp

sfutil.cpp:	$(SFOLEDB)\sfutil.cpp
	copy $(SFOLEDB)\sfutil.cpp

sftraceback.cpp:	$(SFOLEDB)\sftraceback.cpp
	copy $(SFOLEDB)\sftraceback.cpp

SFRS.cpp:	$(SFOLEDB)\SFRS.cpp
	copy $(SFOLEDB)\SFRS.cpp

SFSess.cpp:	$(SFOLEDB)\SFSess.cpp
	copy $(SFOLEDB)\SFSess.cpp

SFDS.cpp: $(SFOLEDB)\SFDS.cpp
	copy $(SFOLEDB)\SFDS.cpp

SFDSCache.cpp:	$(SFOLEDB)\SFDSCache.cpp
	copy $(SFOLEDB)\SFDSCache.cpp

ogrvirtualarray.cpp:	$(SFOLEDB)\ogrvirtualarray.cpp
	copy $(SFOLEDB)\ogrvirtualarray.cpp

swq.c:	..\..\swq.c
	copy ..\..\swq.c

## gdal 1.3.1

=== ogr/ogrsf_frmts/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DIRLIST		=	generic shape ntf sdts tiger s57 dgn mitab gml avc \
 			rec mem vrt csv \
 			$(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) \
-			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR)
+			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR) $(ILI_DIR)
 
 !INCLUDE $(GDAL_ROOT)\nmake.opt
 
@@ -13,8 +13,13 @@
 !ENDIF
 
 !IFDEF ODBC_SUPPORTED
-ODBCDIR	=	odbc
-ODBCOBJ =	odbc\*.obj
+ODBCDIR	=	odbc pgeo
+ODBCOBJ =	odbc\*.obj pgeo\*.obj
+!ENDIF
+
+!IFDEF SQLITE_LIB
+SQLITE_DIR	=	sqlite
+SQLITE_OBJ =	sqlite\*.obj
 !ENDIF
 
 !IFDEF OCI_LIB
@@ -37,9 +42,9 @@
 MYSQL_OBJ = mysql\*.obj
 !ENDIF
 
-!IFDEF SQLITE_LIB
-SQLITE_DIR = sqlite
-SQLITE_OBJ = sqlite\*.obj
+!IFDEF ILI_ENABLED
+ILI_DIR = ili
+ILI_OBJ = ili\*.obj ili\iom\*.obj
 !ENDIF
 
 default:
@@ -53,7 +58,8 @@
 				 mitab\*.obj dgn\*.obj avc\*.obj mem\*.obj \
 				 vrt\*.obj csv\*.obj rec\*.obj \
 				$(OGDIOBJ) $(ODBCOBJ) $(SQLITE_OBJ) \
-				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) $(MYSQL_OBJ)
+				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) $(MYSQL_OBJ) \
+				$(ILI_OBJ)
 	lib /out:ogrsf_frmts_sup.lib \
 				 ..\..\frmts\iso8211\*.obj \
 				 ..\..\frmts\sdts\sdtsattrreader.obj \

## gdal 1.3.2

=== ogr/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 		ogrfeaturestyle.obj ogr_srs_esri.obj ogrfeaturequery.obj \
 		ogr_srs_validate.obj ogr_srs_xml.obj ograssemblepolygon.obj \
 		ogr2gmlgeometry.obj gml2ogrgeometry.obj ogr_srs_pci.obj \
-		ogr_srs_usgs.obj ogr_srs_dict.obj
+		ogr_srs_usgs.obj ogr_srs_dict.obj ogr_srs_panorama.obj
 
 OBJ_OLEDB =	oledb_sup.obj \
 		sfcenumerator.obj sfcdatasource.obj sfctable.obj
@@ -111,10 +111,12 @@
 	copy ogrinfo.exe $(BINDIR)
 	copy ogr2ogr.exe $(BINDIR)
 	copy ogrtindex.exe $(BINDIR)
+	-copy *.exe.manifest $(BINDIR)
 
 clean:
 	-del *.obj
-        -del *.exe
+	-del *.exe
+	-del *.exe.manifest
 	-del *.lib
 	-del *.pdb
 	-del *.ilk

=== ogr/ogrsf_frmts/Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 
 DIRLIST		=	generic shape ntf sdts tiger s57 dgn mitab gml avc \
 			rec mem vrt csv \
-			$(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) \
-			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR) $(ILI_DIR)
+			$(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) $(DWGDIR) \
+			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR) $(ILI_DIR) \
+			$(SDE_DIR)
 
 !INCLUDE $(GDAL_ROOT)\nmake.opt
 
@@ -37,6 +38,16 @@
 PG_OBJ = pg\*.obj
 !ENDIF
 
+!IFDEF DWGDIRECT
+DWGDIR = dxfdwg
+DWG_OBJ = dxfdwg\*.obj
+!ENDIF
+
+!IFDEF SDE_LIB
+SDE_DIR = sde
+SDE_OBJ = sde\*.obj
+!ENDIF
+
 !IFDEF MYSQL_INC_DIR
 MYSQL_DIR = mysql
 MYSQL_OBJ = mysql\*.obj
@@ -59,7 +70,7 @@
 				 vrt\*.obj csv\*.obj rec\*.obj \
 				$(OGDIOBJ) $(ODBCOBJ) $(SQLITE_OBJ) \
 				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) $(MYSQL_OBJ) \
-				$(ILI_OBJ)
+				$(ILI_OBJ) $(DWG_OBJ) $(SDE_OBJ)
 	lib /out:ogrsf_frmts_sup.lib \
 				 ..\..\frmts\iso8211\*.obj \
 				 ..\..\frmts\sdts\sdtsattrreader.obj \

=== ogr/ogrsf_frmts/ogdi/Makefile ===

OBJ	=	ogrogdidriver.obj ogrogdidatasource.obj ogrogdilayer.obj

EXTRAFLAGS =	-I.. -I..\..

GDAL_ROOT	=	..\..\..

!INCLUDE $(GDAL_ROOT)\nmake.opt

default:	$(OBJ)

clean:
	-del *.obj *.pdb

## gdal 1.4.4

=== ogr/Makefile ===
--- 
+++ 
@@ -8,6 +8,10 @@
 GDAL_ROOT = 	..
 
 !INCLUDE ..\nmake.opt
+
+!IFDEF INCLUDE_OGR_FRMTS
+EXTRAFLAGS = $(EXTRAFLAGS) -DOGR_ENABLED
+!ENDIF
 
 OLE_LIBS =	oledb.lib ole32.lib oleaut32.lib 
 
@@ -70,48 +74,58 @@
 sfcdump.exe:	geometryidl.h sfcdump.obj ogr.lib ogroledb.lib
 	cl $(LINKFLAGS) sfcdump.obj ogroledb.lib $(LINKARGS) \
 		/link $(LINKER_FLAGS)
+    if exist $@.manifest mt -manifest $@.manifest -outputresource:$@;1
 
 test1.exe:	test1.obj $(OBJ_OGR) $(DEPLIBS)
 	cl $(LINKFLAGS) test1.obj $(OBJ_OGR) $(ALL_LIBS) \
 		 /link $(LINKER_FLAGS)
+    if exist $@.manifest mt -manifest $@.manifest -outputresource:$@;1
 
 test2.exe:	test2.obj $(OBJ_OGR) $(DEPLIBS)
 	cl $(LINKFLAGS) test2.obj $(OBJ_OGR) $(OGR_FRMTS) \
 			$(ALL_LIBS) /link $(LINKER_FLAGS)
+    if exist $@.manifest mt -manifest $@.manifest -outputresource:$@;1
 
 test3.exe:      test3.obj $(OBJ_OGR) $(DEPLIBS)
-        cl $(LINKFLAGS) test3.obj $(OBJ_OGR) $(OGR_FRMTS) \
-			$(ALL_LIBS) /link $(LINKER_FLAGS)
+    cl $(LINKFLAGS) test3.obj $(OBJ_OGR) $(OGR_FRMTS) \
+	    $(ALL_LIBS) /link $(LINKER_FLAGS)
+    if exist $@.manifest mt -manifest $@.manifest -outputresource:$@;1
 
 test_ogrsf.exe:      test_ogrsf.obj $(OBJ_OGR) $(DEPLIBS)
-        cl $(LINKFLAGS) test_ogrsf.obj $(OBJ_OGR) $(OGR_FRMTS) \
-			$(ALL_LIBS) /link $(LINKER_FLAGS)
+    cl $(LINKFLAGS) test_ogrsf.obj $(OBJ_OGR) $(OGR_FRMTS) \
+	    $(ALL_LIBS) /link $(LINKER_FLAGS)
+    if exist $@.manifest mt -manifest $@.manifest -outputresource:$@;1
 
 test_rep.exe:      test_rep.obj $(OBJ_OGR) $(DEPLIBS)
-        cl $(LINKFLAGS) test_rep.obj $(OBJ_OGR) $(OGR_FRMTS) \
+    cl $(LINKFLAGS) test_rep.obj $(OBJ_OGR) $(OGR_FRMTS) \
 			$(ALL_LIBS) /link $(LINKER_FLAGS)
+    if exist $@.manifest mt -manifest $@.manifest -outputresource:$@;1
 
 testepsg.exe:      testepsg.obj $(OBJ_OGR) $(DEPLIBS)
-        cl $(LINKFLAGS) testepsg.obj $(LINKARGS) /link $(LINKER_FLAGS)
+    cl $(LINKFLAGS) testepsg.obj $(LINKARGS) /link $(LINKER_FLAGS)
+    if exist $@.manifest mt -manifest $@.manifest -outputresource:$@;1
 
 ogrinfo.exe:      ogrinfo.obj $(OBJ_OGR) $(DEPLIBS)
-        cl $(LINKFLAGS) ogrinfo.obj $(LINKARGS) /link $(LINKER_FLAGS)
+    cl $(LINKFLAGS) ogrinfo.obj $(LINKARGS) /link $(LINKER_FLAGS)
+    if exist $@.manifest mt -manifest $@.manifest -outputresource:$@;1
 
 ogr2ogr.exe:      ogr2ogr.obj $(OBJ_OGR) $(DEPLIBS)
-        cl $(LINKFLAGS) ogr2ogr.obj $(LINKARGS) /link $(LINKER_FLAGS)
+    cl $(LINKFLAGS) ogr2ogr.obj $(LINKARGS) /link $(LINKER_FLAGS)
+    if exist $@.manifest mt -manifest $@.manifest -outputresource:$@;1
 
 ogrtindex.exe:      ogrtindex.obj $(OBJ_OGR) $(DEPLIBS)
-        cl $(LINKFLAGS) ogrtindex.obj $(SETARGV) $(LINKARGS) /link $(LINKER_FLAGS)
+    cl $(LINKFLAGS) ogrtindex.obj $(SETARGV) $(LINKARGS) /link $(LINKER_FLAGS)
+    if exist $@.manifest mt -manifest $@.manifest -outputresource:$@;1
 
 sdts2mi.exe:      sdts2mi.obj $(OBJ_OGR) $(DEPLIBS)
-        cl $(LINKFLAGS) sdts2mi.obj $(OBJ_OGR) $(OGR_FRMTS) \
+    cl $(LINKFLAGS) sdts2mi.obj $(OBJ_OGR) $(OGR_FRMTS) \
 			$(ALL_LIBS) /link $(LINKER_FLAGS)
+    if exist $@.manifest mt -manifest $@.manifest -outputresource:$@;1
 
 install:	default
 	copy ogrinfo.exe $(BINDIR)
 	copy ogr2ogr.exe $(BINDIR)
 	copy ogrtindex.exe $(BINDIR)
-	-copy *.exe.manifest $(BINDIR)
 
 clean:
 	-del *.obj

=== ogr/ogrsf_frmts/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 GDAL_ROOT	=	..\..
 
-DIRLIST		=	generic shape ntf sdts tiger s57 dgn mitab gml avc \
+DIRLIST		=	generic shape ntf sdts tiger s57 dgn mitab gml kml avc \
 			rec mem vrt csv \
 			$(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) $(DWGDIR) \
 			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR) $(ILI_DIR) \
-			$(SDE_DIR)
+			$(SDE_DIR) $(IDB_DIR)
 
 !INCLUDE $(GDAL_ROOT)\nmake.opt
 
@@ -58,6 +58,11 @@
 ILI_OBJ = ili\*.obj ili\iom\*.obj
 !ENDIF
 
+!IFDEF INFORMIXDIR
+IDB_DIR = idb
+IDB_OBJ = idb\*.obj
+!ENDIF
+
 default:
 	for %d in ( $(DIRLIST) ) do \
 		cd %d \
@@ -67,10 +72,10 @@
 	lib /out:ogrsf_frmts.lib generic\*.obj shape\*.obj ntf\*.obj \
 				 sdts\*.obj s57\*.obj tiger\*.obj gml\*.obj \
 				 mitab\*.obj dgn\*.obj avc\*.obj mem\*.obj \
-				 vrt\*.obj csv\*.obj rec\*.obj \
+				 vrt\*.obj csv\*.obj rec\*.obj kml\*.obj \
 				$(OGDIOBJ) $(ODBCOBJ) $(SQLITE_OBJ) \
 				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) $(MYSQL_OBJ) \
-				$(ILI_OBJ) $(DWG_OBJ) $(SDE_OBJ)
+				$(ILI_OBJ) $(DWG_OBJ) $(SDE_OBJ) $(IDB_OBJ)
 	lib /out:ogrsf_frmts_sup.lib \
 				 ..\..\frmts\iso8211\*.obj \
 				 ..\..\frmts\sdts\sdtsattrreader.obj \

## gdal 1.5.2-3

=== debian/changelog ===
gdal (1.5.2-3) etch-backports; urgency=high

  * Backported to etch.
  * Moved libcurl4-dev -> libcurl3-dev in build-dep.
  * Using bpo libtool to respect versioning restriction and changed minimal
    version to match that available in bpo.
  * In build-deps:
    o Moved libnetcdf-dev -> netcdfg-dev
    o Moved libgif-dev -> libungif4-dev
    o Moved libxerces-c2-dev -> libxerces27-dev
  * Does not regenerate python swig stuff in debian/rules
    due to incompatibilities among etch swig version and gdal.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 28 Oct 2008 17:59:53 +0100

gdal (1.5.2-3) unstable; urgency=low

  * [PATCH] sincos.dpatch: the sincos() function is already defined
    in libm. Hopefully this is the only case of a redefinition
    of a standard weak function. This is exploited casually only in
    case of an optimization because of the reason exposed in
    http://www.nabble.com/Re%3A-g.region--g-crashes-in-a-latlon-location-p18579971.html
    (closes: #489124)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 22 Jul 2008 10:30:00 +0200

gdal (1.5.2-2) unstable; urgency=low

  * Updated build-deps:
  	netcdfg-dev -> libnetcdf-dev
        libungif4-dev -> libgif-dev
  * Policy bumped to 3.8.0.
  * Added build-dep on libexpat1-dev to enable use of Expat library.
  * Long descriptions revised.
  * [PATCH] New eoverflow.dpatch.
    It fixes largefile breakage introduced in recent versions.
    See http://trac.osgeo.org/gdal/ticket/2437.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 02 Jul 2008 17:27:38 +0200

gdal (1.5.2-1) unstable; urgency=low

  * New upstream release. This is a bug fix release. 
    (closes: #485582)
  * Patchset updated: removed max.dpatch, merged upstream.
  * Added a gdal-grass stanza in debian/rules to generate the gdal-grass 
    tarball on fly.
  * Added a Suggests for python-gdal in gdal-bin stanza within debian/control. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 10 Jun 2008 16:08:05 +0200

gdal (1.5.1-5) unstable; urgency=low

  * Installs gdal2tiles.py and other python scripts, previously missing.
    Due to dependency from python-gdal extensions, scripts are installed in
    that package instead of gdal-bin.
    (closes: #484559)
  * Removed ogr.py.dpatch for #473912. Fix needs to be applied on fly to
    be effective. It also causes a twice build FTBS. Added patch build-dep
    to apply ogr.py.diff in debian/rules.
    (closes: #473912)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 06 Jun 2008 23:15:12 +0200

gdal (1.5.1-4) unstable; urgency=medium

  * [PATCH] ogr.py.dpatch added to manage #2187 upstream issue. Thanks Steko.
    (closes: #473912)
  * [PATCH] gdalpaths.dpatch added to use the same plugins directory
    used currently in gdal-grass. It would require a much better approach
    upstream. See #2371 upstream bug. Also changed path for share dir path
    to /usr/share/gdal15.
    (closes: #481263)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 18 May 2008 09:55:57 +0200

gdal (1.5.1-3) unstable; urgency=low

  * Removed old-python stuff still around in debian/rules.
  * [PATCH] pythonmakefile.dpatch to fix wrong interpreter override in 1.5.1
    See #2333 on gdal trac.
    (closes: #476657)
  * Revised the build/install rules to manage better Swig stuff and
    specifically Python bindings.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 19 Apr 2008 20:51:48 +0200

gdal (1.5.1-2) unstable; urgency=low

  * Moved libxerces27-dev dependency to libxerces-c2-dev in debian/control as
    requested by xerces maintainer for migration.
  * [PATCH] max.dpatch to fix max/min macros re-definition on some archs
    which breaks C++ building. This is taken from GDAL patchest 13700+13701 in trunk.
    Thanks DronK.
    (closes: #474415)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 07 Apr 2008 12:58:56 +0200

gdal (1.5.1-1) unstable; urgency=low

  * New upstream release with useful bugfixes. No API/ABI changes, so
    retaining package versions.
    (closes: #464452)
  * Moved build-dep libcurl-dev -> libcurl3-dev in debian/control for etch backports.
  * Patch swig.dpatch removed (merged upstream).
  * Patch gcc32.dpatch removed (merged upstream).

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 26 Mar 2008 23:23:00 +0100

gdal (1.5.0-4) unstable; urgency=low

  * Fixed removing of .info file in python-central area
  * Fixed gcc43.dpatch to manage namespace issue. This is not accepted upstream.
    (closes: #462709)
  * Updated debian/TODO.
  * Forcing regeneration of perl wrappers with current Swig in debian/rules
    as suggested by Pabs.
    (closes: #466785)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 14 Mar 2008 15:57:34 +0100

gdal (1.5.0-3) unstable; urgency=low

  * [debian/rules] Removing LICENSE.TXT placed in the data dir.
  * [debian/rules] Added explicit python-binding generation previously missing
    Now installs files from new locations because 1.5 moved to ng-python
    (swig-based) support. (closes: #463077)
  * Patch swig.dpatch changed to use the correct python interpreter at building
    time as found at configuration time. Old pymod fix removed.
  * [debian/control] Changed python-numeric -> python-numpy build-dep due to
    new-generation python support.
  * [debian/rules] Added missing dh_perl call.
    (closes: #463086)
  * [debian/rules] Added a info file exclusion at dh_pycentral call.
  * [debian/rules] Now removing info file installed in pycentral area.
  * Added gcc43.dpatch: remove transform() call.
    See http://trac.osgeo.org/gdal/changeset/13615?format=diff&new=13615 for fix.
    (closes: #462709)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 31 Jan 2008 14:23:29 +0100

gdal (1.5.0-2) unstable; urgency=low

  * Moved /usr/share/gdal -> /usr/share/gdal15 in order to avoid conflicting
    with previous upstream version.
    (closes: #462525)



=== debian/control ===
Source: gdal
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Steve Halasz <debian@adkgis.org>, Francesco Paolo Lovergine <frankie@debian.org>, Petter Reinholdtsen <pere@debian.org>, Fabio Tranchitella <kobold@debian.org>, Paul Wise <pabs@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), zlib1g-dev,
 libtiff4-dev, libpng12-dev, libjpeg62-dev,
 libxerces27-dev, 
 python-dev, doxygen, d-shlibs, dpatch, python-all-dev (>= 2.3.5-11~), 
 python-central (>=0.5), libcurl3-dev|libcurl-dev, libsqlite3-dev,
 ruby, ruby1.8-dev, chrpath, swig, libtool (>=1.5.24-1), patch, libexpat1-dev
Standards-Version: 3.8.0
XS-Python-Version: all
Homepage: http://www.gdal.org/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-grass/packages/gdal/trunk
Vcs-Svn: svn://svn.debian.org/svn/pkg-grass/packages/gdal/trunk

Package: libgdal1-1.5.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: proj
Conflicts: libgdal1, libgdal1c2, libgdal1c2a, libgdal1-1.3.1, libgdal1-1.3.2
Replaces: libgdal1, libgdal1c2, libgdal1c2a, libgdal1-1.3.1, libgdal1-1.3.2
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal1-dev
Section: libdevel
Architecture: any
Depends: libgdal1-1.5.0 (=${binary:Version}), libc6-dev, libtiff4-dev, 
 libpng12-dev, libjpeg62-dev,
 libxerces27-dev, libsqlite3-dev,
 libcurl4-dev|libcurl3-dev
Suggests: libgdal-doc
Provides: libgdal-dev
Replaces: libgdal1-1.3.1-dev, libgdal1-1.3.2-dev
Conflicts: libgdal1-1.3.2-dev, libgdal1-1.3.1-dev
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script). 

Package: libgdal-doc
Section: doc
Architecture: all
Suggests: libgdal1-1.5.0 (=${binary:Version})
Homepage: http://www.gdal.org/#index_userdocs
Description: Documentation for the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains documentation for GDAL/OGR API.

Package: gdal-bin
Section: science
Architecture: any
Depends: ${shlibs:Depends}
Homepage: http://www.gdal.org/gdal_utilities.html
Suggests: python-gdal
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Original debian package by Alessandro Amici 2002-2003.
# Currently maintained by DebianGis contributors.
# Based on: GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# dpatch targets
include /usr/share/dpatch/dpatch.make

PYVERS=$(shell pyversions -v -r debian/control)
PYDEF=$(shell pyversions -dv)
RUBYDEF=$(shell ruby --version|cut -d' ' -f2|cut -d. -f1,2)
PERLDEF=$(shell perl -V:version|cut -d\' -f2)

gdal-grass: configure gdal-grass-dist clean
gdal-grass-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/grass dist
	mv $(CURDIR)/frmts/grass/gdal-grass-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

configure: configure-stamp
configure-stamp: patch-stamp
	dh_testdir

	for V in $(PYVERS); do \
		PYTHON=/usr/bin/python$$V ./configure --prefix=/usr \
			--mandir=\$$\{prefix\}/share/man \
			--includedir=\$$\{prefix\}/include/gdal \
			--with-threads \
			--with-grass=no \
			--with-geotiff=internal \
			--with-xerces \
			--with-sqlite \
			--without-perl \
			--without-ruby \
			--with-cfitsio=no; \
		mv GDALmake.opt GDALmake.opt-$$V; \
	done

	# Overrides the generated libtool with official one, due to 
	# breakage in upstream version.
	#cp /usr/bin/libtool $(CURDIR)/libtool

	# Patch the generated libtool to avoid passing -rpath when linking,
	# and to explicitly link libraries against the libraries they
	# depend on.
	sed < libtool > libtool-2 \
	-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' \
	-e 's/^hardcode_into_libs.*$$/hardcode_into_libs=no/'
	mv libtool-2 libtool
	chmod 755 libtool 

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp: 
	dh_testdir

	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) lib-target apps-target 
	#$(MAKE) -C $(CURDIR)/swig/perl generate build
	#$(MAKE) -C $(CURDIR)/swig/ruby generate build

	# it needs pre-installing just after the building due to intermediate cleaning
	for V in $(PYVERS); do \
		cp GDALmake.opt-$$V GDALmake.opt; \
		$(MAKE) -C $(CURDIR)/swig/python clean; \
		$(MAKE) -C $(CURDIR)/swig/python build; \
		$(MAKE) -C $(CURDIR)/swig/python install DESTDIR=$(CURDIR)/debian/python-tmp; \
		echo "Patching ogr.py" ; \
		patch $(CURDIR)/debian/python-tmp/usr/lib/python$$V/site-packages/osgeo/ogr.py $(CURDIR)/debian/ogr.py.diff; \
	done
	#$(MAKE) docs
	$(MAKE) man

	touch build-stamp

clean: clean-unpatched unpatch
clean-unpatched:
	dh_testdir
	dh_testroot

	[ ! -f GDALmake.opt ] || $(MAKE) distclean
	rm -rf $(CURDIR)/swig/ruby/.libs $(CURDIR)/swig/perl/*.bs
	rm -rf $(CURDIR)/swig/perl/*.c  $(CURDIR)/swig/perl/*.cpp
	rm -f GDALmake.opt-*
	rm -rf $(CURDIR)/man/man1
	rm -rf $(CURDIR)/debian/tmp $(CURDIR)/debian/python-tmp

	dh_clean build-stamp configure-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) install BINDINGS="perl ruby" DESTDIR=$(CURDIR)/debian/tmp \
			INST_DATA="\$$(prefix)/share/gdal15" 
	#$(MAKE) install-docs DESTDIR=$(CURDIR)/debian/tmp \
	#	"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
	#	"INST_MAN=\$$(prefix)/share/man" 
	$(MAKE) install-man DESTDIR=$(CURDIR)/debian/tmp \
		"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
		"INST_MAN=\$$(prefix)/share/man" 

	# install python stuff previuosly built and pre-installed
	cp -a $(CURDIR)/debian/python-tmp/usr/lib/* $(CURDIR)/debian/tmp/usr/lib/.
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/bin
	install -o root -g root -m 755 $(CURDIR)/swig/python/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.                                        

	# removing license file
	rm -f $(CURDIR)/debian/tmp/usr/share/gdal15/LICENSE.TXT
	# removing empty packlist MakeMaker files 
	#-find $(CURDIR)/debian/tmp/usr/local/lib/perl -type f -name .packlist -exec rm -f {} \;
	# removing embedded rpath in perl shlibs
	#-find $(CURDIR)/debian/tmp/usr/local/lib/perl -type f -name "*.so" -exec chrpath --delete {} \;

	# moves ruby/perl stuff the right dirs
	#install -o root -g root -d $(CURDIR)/debian/tmp/usr/lib/perl5/auto
	#install -o root -g root -d $(CURDIR)/debian/tmp/usr/lib/ruby/$(RUBYDEF)
	#mv $(CURDIR)/debian/tmp/usr/local/lib/perl/$(PERLDEF)/auto/* $(CURDIR)/debian/tmp/usr/lib/perl5/auto/.
	#mv $(CURDIR)/debian/tmp/usr/local/lib/perl/$(PERLDEF)/Geo $(CURDIR)/debian/tmp/usr/lib/perl5/.
	#mv $(CURDIR)/debian/tmp/usr/local/lib/site_ruby/$(RUBYDEF)/* $(CURDIR)/debian/tmp/usr/lib/ruby/$(RUBYDEF)/.

binary-common: 
	dh_testdir
	dh_testroot
	dh_movefiles
	#dh_installdocs
	#dh_installchangelogs NEWS
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_pycentral -X.info
	rm -f $(CURDIR)/debian/python-gdal/usr/share/pycentral/python-gdal/site-packages/GDAL-1.5.0.egg-info
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -L libgdal1-1.5.0 -l debian/libgdal1-1.5.0/usr/lib
	dh_gencontrol
	dh_md5sums
	#maemo-optify
	dh_builddeb

binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary-common binary install patch unpatch clean-unpatched gdal-grass-dist

=== debian/watch ===
version=2
ftp://ftp.remotesensing.org/pub/gdal/gdal-([0-9].*)\.tar\.gz debian uupdate
